<div class="flex flex-column gap-4 my-8">

    <div class="grid">

        <!-- left-column -->
        <div class="col px-4">
            <div class="flex flex-column gap-4">
                <div class="text-4xl font-bold"><span><i class="pi pi-briefcase" style="font-size: 1.5rem"></i></span>
                    Formulir Lamaran Kerja</div>
                <form [formGroup]="jobForm" (ngSubmit)="onSubmit()">
                    <div class="flex flex-column gap-3">

                        <div class="font-bold text-lg">Data Pribadi</div>

                        <div class="flex flex-column">
                            <label>Nama</label>
                            <input type="text" pInputText formControlName="name" placeholder="Masukan nama" />
                            <div *ngIf="jobForm.get('name')?.invalid && (jobForm.get('name')?.dirty || jobForm.get('name')?.touched)">
                                <small class="text-red-500">Required</small>
                            </div>
                        </div>

                        <div class="flex flex-column">
                            <label>NIK</label>
                            <p-inputMask styleClass="w-full" mask="9999999999999999" formControlName="nik" placeholder="Masukan NIK"></p-inputMask>
                            <div *ngIf="jobForm.get('nik')?.invalid && (jobForm.get('nik')?.dirty || jobForm.get('nik')?.touched)">
                                <small class="text-red-500">Length must 16 character</small>
                            </div>
                        </div>

                        <div class="flex flex-column">
                            <label>Handphone</label>
                            <p-inputMask styleClass="w-full" mask="9999-9999-9999" formControlName="phone"
                                placeholder="0000-0000-0000"></p-inputMask>
                            <div *ngIf="jobForm.get('phone')?.invalid && (jobForm.get('phone')?.dirty || jobForm.get('phone')?.touched)">
                                <small class="text-red-500">Required</small>
                            </div>
                        </div>

                        <div class="flex flex-column">
                            <label>Email</label>
                            <input type="text" class="w-full" pInputText formControlName="email" placeholder="Masukan email" />
                            <div *ngIf="jobForm.get('email')?.invalid && (jobForm.get('email')?.dirty || jobForm.get('email')?.touched)">
                                <small class="text-red-500">Email format invalid</small>
                            </div>
                        </div>

                        <div class="flex flex-column">
                            <label>Tempat Lahir</label>
                            <p-dropdown styleClass="w-full" [options]="province" formControlName="birthPlace"
                                placeholder="Pilih tempat lahir"></p-dropdown>
                            <div *ngIf="jobForm.get('birthPlace')?.invalid && (jobForm.get('birthPlace')?.dirty || jobForm.get('birthPlace')?.touched)">
                                <small class="text-red-500">Required</small>
                            </div>
                        </div>

                        <div class="flex flex-column">
                            <label>Tanggal Lahir</label>
                            <p-calendar styleClass="w-full" formControlName="birthDate" [showIcon]="true" placeholder="dd/mm/yyyy"></p-calendar>
                            <div *ngIf="jobForm.get('birthDate')?.invalid && (jobForm.get('birthDate')?.dirty || jobForm.get('birthDate')?.touched)">
                                <small class="text-red-500">Required</small>
                            </div>
                        </div>

                        <div class="flex flex-column gap-2">
                            <label>Jenis Kelamin</label>
                            <div class="flex gap-2">
                                <p-radioButton name="gender" value="Laki-laki" formControlName="gender"></p-radioButton>
                                <label>Laki-laki</label>
                            </div>
                            <div class="flex gap-2">
                                <p-radioButton name="gender" value="Perempuan" formControlName="gender"></p-radioButton>
                                <label>Perempuan</label>
                            </div>
                            <div *ngIf="jobForm.get('gender')?.invalid && (jobForm.get('gender')?.dirty || jobForm.get('gender')?.touched)">
                                <small class="text-red-500">Required</small>
                            </div>
                        </div>

                        <div class="flex flex-column">
                            <label>Alamat</label>
                            <textarea pInputTextarea formControlName="address" placeholder="Masukan alamat"></textarea>
                            <div *ngIf="jobForm.get('address')?.invalid && (jobForm.get('address')?.dirty || jobForm.get('address')?.touched)">
                                <small class="text-red-500">Required</small>
                            </div>
                        </div>

                        <div class="font-bold text-lg">Data Pekerjaan</div>

                        <div class="flex flex-column">
                            <label>Posisi</label>
                            <p-dropdown styleClass="w-full" [options]="jobsRole" formControlName="position" placeholder="Pilih posisi"></p-dropdown>
                            <div *ngIf="jobForm.get('position')?.invalid && (jobForm.get('position')?.dirty || jobForm.get('position')?.touched)">
                                <small class="text-red-500">Required</small>
                            </div>
                        </div>

                        <div class="flex flex-column">
                            <label>Pengalaman</label>
                            <p-dropdown styleClass="w-full" [options]="jobExperience" formControlName="experience"
                                placeholder="Pilih pengalaman"></p-dropdown>
                            <div *ngIf="jobForm.get('experience')?.invalid && (jobForm.get('experience')?.dirty || jobForm.get('experience')?.touched)">
                                <small class="text-red-500">Required</small>
                            </div>
                        </div>

                        <div class="flex flex-column">
                            <label>Penempatan</label>
                            <p-dropdown styleClass="w-full" [options]="province" formControlName="location" placeholder="Pilih penempatan"></p-dropdown>
                            <div *ngIf="jobForm.get('location')?.invalid && (jobForm.get('location')?.dirty || jobForm.get('location')?.touched)">
                                <small class="text-red-500">Required</small>
                            </div>
                        </div>

                        <div class="flex flex-column">
                            <label>Gaji Yang Diharapkan </label>
                            <p-inputNumber styleClass="w-full" formControlName="salary" prefix="Rp " mode="decimal"
                                placeholder="1000000">
                            </p-inputNumber>
                            <div *ngIf="jobForm.get('salary')?.invalid && (jobForm.get('salary')?.dirty || jobForm.get('salary')?.touched)">
                                <small class="text-red-500">Required</small>
                            </div>
                        </div>

                        <div class="flex align-items-center gap-2">
                            <p-checkbox formControlName="term" [binary]="true" [required]="true"></p-checkbox>
                            <label>Saya setuju dengan syarat dan ketentuan</label>
                        </div>

                        <div>
                            <small *ngIf="showError" class="text-red-500 mb-4">NIK Sudah Terdaftar</small>
                            <button class="w-full" [disabled]="!jobForm.valid" pButton type="submit" label="Simpan"></button>
                        </div>

                    </div>
                </form>
            </div>
        </div>

        <!-- right-column -->
        <div class="col px-4">
            <div class="flex flex-column gap-4">
                <div class="text-4xl font-bold"><span><i class="pi pi-users" style="font-size: 1.5rem"></i></span>
                    Data Pendaftar Lamaran Kerja</div>

                <div *ngIf="!listCandidates.length" class="flex flex-column py-6 gap-2 align-items-center">
                    <img [@bounce] class="w-full mb-4 max-w-16rem" src="../../../../assets/img/empty-state.png" alt="">
                    <div class="text-2xl text-center font-semibold">Data pendaftar tidak ditemukan</div>
                    <div class="text-md text-center text-600">Kamu bisa melihat data kadidat disini jika data sudah
                        tersedia</div>
                </div>

                <div *ngIf="listCandidates.length">
                    <p-table 
                    [columns]="cols" 
                    [value]="listCandidates"
                    responsiveLayout="scroll">
                        <ng-template pTemplate="header" let-columns>
                            <tr>
                                <th width="130">Aksi</th>
                                <th *ngFor="let col of columns">
                                    {{col.header}}
                                </th>
                            </tr>
                        </ng-template>
                        <ng-template pTemplate="body" let-rowData let-columns="columns">
                            <tr [@slideInLeft]>
                                <td>
                                    <button tooltipPosition="bottom" pTooltip="Lihat Detail" (click)="onDetail()"
                                        pButton type="button" icon="pi pi-eye" class="p-button-rounded p-button-text"></button>
                                    <button tooltipPosition="bottom" pTooltip="Hapus" (click)="onDelete()" pButton type="button"
                                        icon="pi pi-trash" class="p-button-rounded p-button-text"></button>
                                        <button tooltipPosition="bottom" pTooltip="Edit" (click)="onEdit()" pButton type="button"
                                        icon="pi pi-trash" class="p-button-rounded p-button-text"></button>
                                </td>
                                <td *ngFor="let col of columns">
                                    <div class="flex align-items-center gap-2" *ngIf="col.field == 'name'">
                                        <p-avatar styleClass="bg-primary text-white mr-2" shape="circle" [label]="rowData.name[0]"
                                            size="large"></p-avatar>
                                        <div class="flex flex-column">
                                            <span class="font-semibold">{{rowData.name}}</span>
                                            <span class="text-sm">{{rowData.nik}}</span>
                                        </div>
                                    </div>
                                    <span  *ngIf="col.field == 'salary'" class="text-sm">{{rowData.salary | currency}}</span>
                                    <span *ngIf="col.field != 'name' && col.field != 'salary'">{{rowData[col.field]}}</span>
                                </td>
                            </tr>
                        </ng-template>
                    </p-table>
                </div>
            </div>
        </div>

    </div>
</div>

<p-toast></p-toast>
<p-confirmDialog [style]="{width: '30vw'}" [baseZIndex]="10000" rejectButtonStyleClass="p-button-text"></p-confirmDialog>